@if (executionRunnerService.componentData$ | async; as componentData) {
  <div
    class="full-width full-height neutral-background-color p-l-10 p-b-15 flex-column"
    sqtmCoreAttachmentDropZone
    (filesDropEvent)="
      addAttachment($event, componentData.execution.attachmentList.id)
    "
    style="overflow: hidden"
    [sqtmCoreWorkspace]="'campaign-workspace'"
  >
    <div class="header-bar m-10 flex-fixed-size">
      <sqtm-app-execution-prologue-step-counter
        [stepCount]="componentData.execution.executionSteps.ids.length"
      ></sqtm-app-execution-prologue-step-counter>
      <sqtm-app-start-execution-button
        [executionId]="componentData.execution.id"
      ></sqtm-app-start-execution-button>
    </div>
    <div
      class="m-r-10 m-l-10 flex-fixed-size flex-row current-workspace-main-color font-18-px txt__semi-bold"
    >
      <div class="full-width txt-ellipsis">
        <span>{{ 'sqtm-core.entity.execution.label.short' | translate }}</span>
        <span [attr.data-test-element-id]="'execution-order'">
          #{{ componentData.execution.executionOrder + 1 }} :
          {{ componentData.execution.name }}</span
        >
      </div>
      @if (
        componentData.projectData.allowTcModifDuringExec &&
        componentData.execution.kind === 'STANDARD'
      ) {
        <div
          [attr.data-test-element-id]="'modification-during-exec'"
          (click)="
            modifyTestDuringExec(
              componentData.execution.testCaseId,
              componentData.execution.id
            )
          "
          class="flex-fixed-size m-l-auto m-r-10 __hover_pointer"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:edit"
            nzTheme="fill"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.campaign-workspace.execution-runner.modify' | translate
            "
          ></i>
        </div>
      }
    </div>
    <div style="overflow-y: auto" class="full-width full-height p-r-10">
      <sqtm-app-execution-prologue-body
        [execution]="componentData.execution"
        [customFieldData]="customFieldData$ | async"
        [permissions]="componentData.permissions"
        [milestonesAllowModification]="
          componentData.milestonesAllowModification
        "
      >
      </sqtm-app-execution-prologue-body>
    </div>
  </div>
}
